/*
 * Copyright (c) 2008 appspy.org, Contributors.
 * Licensed under the Apache License, Version 2.0 (the "License"); 
 * you may not use this file except in compliance with the License. 
 * You may obtain a copy of the License at http://www.apache.org/licenses/LICENSE-2.0 
 * Unless required by applicable law or agreed to in writing, software distributed under the 
 * License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, 
 * either express or implied. See the License for the specific language governing permissions 
 * and limitations under the License. */

package org.appspy.perf.data;

import java.io.Serializable;

/**
 * @author Olivier HEDIN / olivier@appspy.org
 */
public class ParameterData implements Serializable {
	
	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	
	protected String mName = null;
	protected String mValue = null;
	
	public ParameterData(String name, String value)
	{
		mName = name;
		mValue = value;
	}
	
	/**
	 * @return the name
	 */
	public String getName() {
		return mName;
	}
	/**
	 * @param name the name to set
	 */
	public void setName(String name) {
		mName = name;
	}
	/**
	 * @return the value
	 */
	public String getValue() {
		return mValue;
	}
	/**
	 * @param value the value to set
	 */
	public void setValue(String value) {
		mValue = value;
	}

	
}
